<?php
$result_text = '';

if (filter_input(INPUT_POST, 'send'))
	{
	if (filter_input(INPUT_POST, 'email'))
		{
		$email = str_replace(' ', '', strtolower($_POST['email']));
		$email_slug_array = explode('@', $email);
		$domain = array_pop($email_slug_array);

		if (!filter_var($email, FILTER_VALIDATE_EMAIL))
			{
			$result_text .= '<p class="alert alert-danger">'.$email.' feltehetően nem valós, kérjük adja meg újra!</p>';
			}
		elseif ((!checkdnsrr($domain, 'MX')) && (!checkdnsrr($domain, 'A')))
			{
			$result_text .= '<p class="alert alert-danger">'.$email.' feltehetően nem valós, kérjük adja meg újra!</p>';
			}
		else
			{
			//Ide jön az e-mail elküldését végző PHP kód.
			//Lejebb kikommentelve egy alap példa látható.
			/*
			$felado_neve = 'Feladó neve';
			$cimzett = 'Címzett e-mail címe'
			$targy = 'Üzenet tárgya'
			$uzenet = 'Üzenet';
			

			$fejlec = 'From: ' . $felado_neve . '<' . $email . ">\r\n" .
					'Reply-To: ' . $email . "\r\n" .
					'X-Mailer: PHP/' . phpversion();

			if (mail($cimzett, $targy, $uzenet, $fejlec))
				{
				$result_text .= '<p class="alert alert-success">Az üzenet elküldése sikeres volt!</p>';
				}
			else
				{
				$result_text .= '<p class="alert alert-danger">Az üzenet küldésekor hiba lépett fel!</p>';
				}
			*/
			$result_text .= '<p class="alert alert-success">'.$email.' e-mail cím megfelelő!</p>';
			}
		}
	else
		{
		$result_text .= '<p class="alert alert-danger">Nem volt kitöltve az e-mail cím mező, kérjük adja meg újra!</p>';
		}
	}
?>
<!DOCTYPE html>
<html lang="hu-HU">
<head>
	<meta charset="utf-8">

	<title>PHP: Megbízható e-mail cím ellenőrzés | Webmestertanfolyam.hu</title>

	<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1" />
	<link type="text/css" rel="stylesheet" href="css/bootstrap.min.css" rel="stylesheet" />
	<!--[if lt IE 9]>
		<script type="text/javascript" src="//html5shim.googlecode.com/svn/trunk/html5.js"></script>
	<![endif]-->
	<link type="text/css" rel="stylesheet" href="css/styles.css" rel="stylesheet" />
</head>
<body>
	<div class="navbar navbar-default">
		<div class="container">
			<a class="navbar-brand" href="http://webmestertanfolyam.hu" title="Webmestertanfolyam.hu" target="_blank"><img src="http://webmestertanfolyam.hu/img/logo-demo.png" alt="Webmestertanfolyam.hu" /></a>
			<ul class="nav navbar-nav">
				<li><a href="http://webmestertanfolyam.hu/#tanfolyamaink" title="Tanfolyamaink" target="_blank">Tanfolyamaink</a></li>
				<li><a href="http://webmestertanfolyam.hu/webmester-blog" title="További segédletek" target="_blank">További segédletek</a></li>
			</ul>
		</div>
	</div>

	<div class="container">
		<div class="row">
			<div class="col-lg-6 col-md-6 col-sm-12 col-xs-12">
				<h4>Gépelj be egy tetszőleges e-mail címet</h4>

				<?php echo $result_text; ?>
				<form name="email_sender" method="post" action="index.php">
					<input type="email" name="email" placeholder="E-mail cím" class="form-control" required /><br/>
					<input type="submit" name="send" value="Ellenőrzés" class="btn btn-lg btn-success" />
				</form>
			</div>
		</div>

		<hr/>

		<div class="jumbotron text-center">
			<h1>PHP: Megbízható e-mail cím ellenőrzés</h1>
			<p class="lead">A demo forrása: <a href="http://webmestertanfolyam.hu" title="webmestertanfolyam.hu" target="_blank">webmestertanfolyam.hu</a></p>
			<p><a class="btn btn-lg btn-success" href="http://webmestertanfolyam.hu/webmester-blog" title="További segédletek" target="_blank">További segédletek</a></p>
		</div>
	</div>

	<script type="text/javascript" src="js/jquery-1.9.1.min.js"></script>
	<script type="text/javascript" src="js/bootstrap.min.js"></script>
</body>
</html>